<?php
// +-----------------------------------------------------------------------+
// | Plugin Name : Event Cats                                              |
// | Plugin Version : 1.0                                                  |
// | File Version : 1.0                                                    |
// | Plugin Version author : LucMorizur                                    |
// | Plugin description : (plugin for Piwigo, http://piwigo.org )          |
// | This plugin allows an account to be automatically logged in ; and to  |
// | let users duplicate the account they are logged with, to get benefits |
// | of the groups of the previous account, immediately on their new acc.  |
// | Ce plugin permet d'identifier automatiquement un compte ; et permet à |
// | un utilisateur de dupliquer un compte, pour que le nouveau compte     |
// | bénéficie immédiatement de l'affectation aux groupes de l'ancien cpte |
// +-----------------------------------------------------------------------+

// +-----------------------------------------------------------------------+
// | Piwigo - a PHP based picture gallery                                  |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $template, $conf, $page,
 $ec_lists,   // array of following arrays :
              //   $ec_lists['ec_table'] :
              //     Event Cats table, in function of each entry id
              //   $ec_lists['ec_codes'] : // Used ?
              //     array of useful data, in function of entries codes
              //   $ec_lists['add_pages'] :
              //     array of Add. Pages names in function of their id
              //   $ec_lists['categories'] :
              //     array of category names in function of their id
              //   $ec_lists['user_ids'] :
              //     array of usernames in function of their id
 $ec_ap_ok;   // whether Additional Pages is installed and activated

/****************************************************************************/

build_ec_lists(); // in evntcats_funcs.php

$ec_lists['duplicable_codes'] = array();

foreach ($ec_lists['ec_table'] as $ec_entry) {
  if (
    is_in($ec_entry['action'], 'ec_ok') and
    !is_in($ec_entry['action'], '_f_pb') and
    $ec_entry['forced'] == 'false'
  ) {
    $ec_lists['duplicable_codes'][$ec_entry['code']] = $ec_entry['user_id'];
  }
}

$ec_def_vals = array();

$ec_def_vals['code'] = '';
$ec_def_vals['user'] = '-1';
$ec_def_vals['act1'] = 'create';
$ec_def_vals['auto_code_dg_nb'] = read_ec_conf('auto_code_dg_nb');

/*****************************************************************************
* $_GET and $_POST analysis.                                                 *
*****************************************************************************/

if (isset($_POST['ec_act1']) and $_POST['ec_act1'] == 'duplicate_entry') {
  if (isset($_POST['ec_entry_sel'])) {
    if (array_key_exists($_POST['ec_entry_sel'], $ec_lists['ec_table'])) {
      $ec_def_vals['code'] = $ec_lists['ec_table'][$_POST['ec_entry_sel']]['code'];
      $ec_def_vals['user'] = $ec_lists['ec_table'][$_POST['ec_entry_sel']]['user_id'];
      $ec_def_vals['act1'] = $_POST['ec_entry_sel'];
    }
    else {
      $page['errors'][] = 'Tentative de duplication d\'une entrée inexistante';
    }
  }
  else {
    $page['errors'][] = 'Tentative de duplication sans entrée';
  }
}


/****************************************************************************/


$template->assign('ec_ap_ok',$ec_ap_ok);
$template->assign('ec_lists',$ec_lists);
$template->assign('ec_def_vals',$ec_def_vals);

?>